# Interface methods for submodule: NormalVariateGenerator
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: NormalVariateGenerator
class NormalVariateGeneratorProxy():
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def Initialize(self, randomSeed: int) -> None:
		""""""
		...

	def GetVariate(self) -> float:
		""""""
		...

